Skip to main content

Update lead status

Update the status of a single lead with validation.

PUT/api/leads/{lead_id}/status
HTTP referenceScope authenticated user sessionUpdated April 25, 2026

This page documents the canonical HTTP contract for this endpoint.

This route currently requires an authenticated user session. Developer API keys are blocked by the backend for this route.

Path parameters

  • lead_idrequired

    string

    Lead ID.

Query parameters

  • new_statusrequired

    string

    Required query parameter. One of: new, qualified, contacting, converted, customer, unqualified, bad_data, nurture.

Errors

StatusMeaning
400Invalid status value.
401Missing or invalid user session.
403Developer API keys are blocked for this session-only route.
404Lead not found.

Docs